- Qt 6.11
- Qt Core
- C++ Classes
- Iterator
- Qt 6.11.2 Reference Documentation

# QMetaSequence::Iterable::Iterator Class

class QMetaSequence::Iterable::Iterator

QMetaSequence::Iterable::Iterator allows iteration over a container in a QVariant. More...

This class was introduced in Qt 6.11.

- List of all members, including inherited members

## Public Functions

int | operator*() const
int | operator->() const
int | operator[](qsizetype n) const

## Detailed Description

A QMetaSequence::Iterable::Iterator can only be created by a QMetaSequence::Iterable instance, and can be used in a way similar to other stl-style iterators.

## Member Function Documentation

### int Iterator::operator*() const

Returns the current item, converted to a QVariant::Reference.

### int Iterator::operator->() const

Returns the current item, converted to a QVariant::Pointer.

### int Iterator::operator[](qsizetype n) const

Returns the item offset from the current one by n, converted to a QVariant::Reference.